@use '../variables';

@use 'trait-selection';

.profiles-main {
    @include variables.sectionDivisionPlacing;
    padding-top: 0;

    .profiles {
        position: relative;
        overflow: hidden;
        border-radius: 0.75rem;
        padding: 1rem;
        background-color: variables.$light;

        .c-button {
            border: none;
            width: 5vw;
            height: 100%;
            position: absolute;
            top: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
            cursor: pointer;
            z-index: 8;
        }

        .l-button {
            left: 0;
            transform: rotate(180deg);
        }

        .r-button {
            right: 0;
        }

        .profiles-carrousel {
            padding: 0 2rem 1rem 2rem;
            display: flex;
            overflow-x: auto;
            scroll-behavior: smooth;

            .profile-card {
                width: 18rem;
                border-radius: 0.75rem;
                background-color: variables.$grey;
                flex: 0 0 auto;
                margin: 0 0.5rem 0 0.5rem;

                .card-image {
                    position: relative;
                    height: 8rem;
                    width: 8rem;
                    border-radius: 50%;
                    padding: 0.1875rem;
                    transition: transform .5s ease;

                    img {
                        height: 100%;
                        width: 100%;
                        object-fit: cover;
                        border-radius: 50%;
                        border: 0.25rem solid variables.$secondary-color;
                    }

                    &:hover {
                        transform: scale(1.1);
                    }
                }

                .card-content {
                    .trait-list {
                        text-align: center;
                        height: 10rem;
                        margin: 0.5rem 0 0 0;
                        padding: 0 1rem;
                        background-color: rgb(245, 245, 245);
                        border-radius: 0.8rem;
                        overflow: auto;
                        width: 90%;

                        .profile-name {
                            font-family: variables.$mars-font;
                        }

                        li.trait-name {
                            border-bottom: 0.02rem solid variables.$d-grey;
                            margin: 0.5rem 0 0.5rem 0;
                            padding: 0.5rem;
                        }
                    }
                }

                .image-content {
                    position: relative;
                    row-gap: 0.3125rem;
                }

                .image-content, .card-content {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    padding: 0.625rem 0.875rem;

                    > h2 {
                        font-family: variables.$poppins;
                    }
                }

                &.active {
                    img {
                        border: 0.25rem solid #adde7f;
                    }

                    //border: 0.2rem solid #adde7f;
                    //box-shadow: 0 0.1rem 0.4rem rgb(0 0 0 / 0.2)

                }

                &.locked {
                    cursor: pointer;
                    height: 25rem;

                    img {
                        opacity: 0.5;
                        width: 100%;
                        top: 30%;
                        transition: opacity .3s ease;
                    }

                    &:hover {
                        img {
                            opacity: 1;
                        }
                    }
                }

                &.default {

                    img {
                        border: 0.25rem solid variables.$d-grey;
                    }

                    //border: 0.2rem solid variables.$d-grey;
                    // box-shadow: 0 0.1rem 0.4rem rgb(0 0 0 / 0.2)
                }
            }
        }

        &::-webkit-scrollbar {
            display: none;
        }
    }
}

.profile-manager {
    @include variables.sectionDivisionPlacing;
    padding-top: 0;

    .profile-view {
        position: relative;
        overflow: hidden;
        border-radius: 0.75rem;
        padding: 1rem;
        background-color: variables.$light;
        display: flex;
        justify-content: space-around;
        flex-flow: row wrap;

        .profile-image {
            white-space: nowrap;
            position: relative;
            width: 10rem;
            border-radius: 10%;
            padding: 0.1875rem;
            transition: transform .5s ease;
            display: flex;
            flex-direction: column;
            align-items: center;

            .profile-image-title {
                font-family: variables.$boldy-font;
                text-align: center;
                font-size: 1.2rem;
                width: inherit;
                height: 3rem;
                overflow-x: scroll;
            }

            img {
                height: 100%;
                width: 100%;
                object-fit: cover;
                border-radius: 10%;
                border: 0.25rem solid variables.$secondary-color;

                &.active {
                    border: 0.25rem solid #adde7f;
                }
            }


        }

        .trait-info {
            width: 25rem;

            .trait-list {
                @include variables.traitListWithOverflow;
                height: 7.5rem;

                li.trait-name {
                    border-bottom: 0.02rem solid variables.$d-grey;
                    margin: 0.5rem 0 0.5rem 0;
                    padding: 0.5rem;

                    &.drag-here {
                        border: dashed variables.$d-grey;
                    }
                }
            }
        } // End of trait-info

        .drag-status {
            transform: translateY(30%);
            display: flex;
            flex-direction: column;
            font-size: 4rem;
            text-align: center;

            em {
                opacity: 0.5;
                color: #AAAAAA;
                transition: .5s ease;
            }

        }
        .owned-traits {
            width: 25rem;

            .trait-list {
                @include variables.traitListWithOverflow;
                margin: 2.5rem 0 0 0;
                height: 18rem;

                li.trait-name {
                    border-bottom: 0.02rem solid variables.$d-grey;
                    margin: 0.5rem 0 0.5rem 0;
                    padding: 0.5rem;
                }
            }
        }

        h3 {
            &.trait-info-title {
                font-size: 1.2rem;
                font-family: variables.$lato-font;
                text-align: center;
                margin: 1rem 0 0 0;
                width: 95%;
            }
        }

        h2 {
            &.trait-info-title {
                font-family: variables.$lato-font;
                font-size: 1.2rem;
                color: #ee7f42;
            }
        }
    } // End of profile-view
}